PDA

View Full Version : Need help installing VMware Player on Fedora 26



udey
2nd October 2017, 09:31 AM
* * * * NOOB ALERT *******

Hi,

I have the latest VMware Player file
VMware-Player-14.0.0-6661328.x86_64.bundle

downloaded from the VMware website.

I am unable to execute this .bundle file to install it on my Fedora 26 system.

Commands I have tried are:
su -c "VMware-Player-14.0.0-6661328.x86_64.bundle"

and

sudo sh "VMware-Player-14.0.0-6661328.x86_64.bundle"


Errors so far are:
Extracting VMware Installer...done.
No protocol specified
No protocol specified
User interface initialization failed. Exiting. Check the log for details.

And as a complete noob I don't know where it is storing these log files i am supposed to check.


ANYWAYS:
Ultimate purpose is the ambition of running a Windows 10 OS inside a Fedora Laptop using VMware software.

Please suggest right way to accomplish this goal or point to relevant URL / thread.

Best Wishes,
Ujjwal Dey
Using Fedora since past 23 days now
Managed to install VLC player, Deluge, HexChat, etc.
OTHER UNSOLVED CASE:
Very low audio sound on my Lenovo Laptop running AMD processor, graphics card and realtek audio. I believe there is no supporting driver working with my audio hardware.

dmguru
2nd October 2017, 03:31 PM
I have always had problems installing VMware on new Fedora releases.
Usually because VMware isn't ready for the newest kernel without applying patches to get it to work.
Look at libvirt and virt-manager that is part of Fedora distribution for virtual machines.

phoenixiran
2nd October 2017, 04:57 PM
hi

chmod x+ VMware-Player-14.0.0-6661328.x86_64.bundle
and
run

owl102
2nd October 2017, 05:52 PM
Look at libvirt and virt-manager that is part of Fedora distribution for virtual machines.
...or give VirtualBox a try. (Unlike VMware) Oracle always adapts VirtualBox to new kernel versions when they are in beta or RC state, so the adaption for a new kernel release is ready (and a new version of VirtualBox is available, if necessary) before the kernel gets released and will hit the Fedora users.

udey
3rd October 2017, 06:57 AM
CONSTANT ERROR on running the .bundle file


ERROR MESSAGE:
$ sudo sh "VMware-Player-14.0.0-6661328.x86_64.bundle"

[sudo]
Extracting VMware Installer...done.
No protocol specified
No protocol specified
User interface initialization failed. Exiting. Check the log for details.

What protocol is missing? What to do to supply this protocol in execution command ?

Feeling stupid